# Update recurring task

Update recurring task. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/put-api-FlowRecurringTask-id

PUT `/FlowRecurringTask/{id}`

Update recurring task. See the OpenAPI-defined parameters, request body, and responses below.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

**Content type:** `application/json` · **Schema:** `FlowRecurringTaskDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>priority</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dueInMinutes</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>patternType</code></td><td><code>FlowRecurrencePatternType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>interval</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>daysOfWeek</code></td><td><code>FlowRecurrenceDaysOfWeek</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>firstDayOfWeek</code></td><td><code>DayOfWeek</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dayOfMonth</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>weekIndex</code></td><td><code>FlowRecurrenceWeekIndex</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>relativeDayType</code></td><td><code>FlowRecurrenceRelativeDayType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>month</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>startDate</code></td><td><code>string · date</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>startTime</code></td><td><code>string · time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>timeZoneId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>rangeType</code></td><td><code>FlowRecurrenceRangeType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>endDate</code></td><td><code>string · date</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>numberOfOccurrences</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isActive</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>nextOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>lastOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>generatedOccurrences</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>updatedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>updatedBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Example request



```
curl --request PUT \
  --url 'https://api.zild.ai/FlowRecurringTask/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "flowId": 0,
  "flowStageId": 0,
  "title": "string",
  "description": "string",
  "priority": 0,
  "payload": "string",
  "dueInMinutes": 0,
  "patternType": 0,
  "interval": 0,
  "daysOfWeek": 0,
  "firstDayOfWeek": 0,
  "dayOfMonth": 0,
  "weekIndex": 1,
  "relativeDayType": 0,
  "month": 0,
  "startDate": "2026-09-22",
  "startTime": "string",
  "timeZoneId": "string",
  "rangeType": 0,
  "endDate": "2026-09-22",
  "numberOfOccurrences": 0,
  "isActive": true,
  "nextOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "lastOccurrenceAtUtc": "2026-09-22T18:00:00Z",
  "generatedOccurrences": 0,
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "updatedAt": "2026-09-22T18:00:00Z",
  "updatedBy": 0
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>OK</td><td>No response body is defined.</td></tr></tbody></table>



## Data models

`DayOfWeek`0 = Sunday; 1 = Monday; 2 = Tuesday; 3 = Wednesday; 4 = Thursday; 5 = Friday; 6 = Saturday

`integer`

`FlowRecurrenceDaysOfWeek`0 = None; 1 = Sunday; 2 = Monday; 4 = Tuesday; 8 = Wednesday; 16 = Thursday; 32 = Friday; 62 = Weekdays; 64 = Saturday; 65 = WeekendDays; 127 = All

`integer`

`FlowRecurrencePatternType`0 = Minutely; 1 = Hourly; 2 = Daily; 3 = Weekly; 4 = AbsoluteMonthly; 5 = RelativeMonthly; 6 = AbsoluteYearly; 7 = RelativeYearly

`integer`

`FlowRecurrenceRangeType`0 = NoEnd; 1 = EndDate; 2 = Numbered

`integer`

`FlowRecurrenceRelativeDayType`0 = SpecificDays; 1 = Day; 2 = Weekday; 3 = WeekendDay

`integer`

`FlowRecurrenceWeekIndex`1 = First; 2 = Second; 3 = Third; 4 = Fourth; 5 = Last

`integer`

`FlowRecurringTaskDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>flowStageId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>description</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>priority</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>payload</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dueInMinutes</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>patternType</code></td><td><code>FlowRecurrencePatternType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>interval</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>daysOfWeek</code></td><td><code>FlowRecurrenceDaysOfWeek</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>firstDayOfWeek</code></td><td><code>DayOfWeek</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dayOfMonth</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>weekIndex</code></td><td><code>FlowRecurrenceWeekIndex</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>relativeDayType</code></td><td><code>FlowRecurrenceRelativeDayType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>month</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>startDate</code></td><td><code>string · date</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>startTime</code></td><td><code>string · time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>timeZoneId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>rangeType</code></td><td><code>FlowRecurrenceRangeType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>endDate</code></td><td><code>string · date</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>numberOfOccurrences</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isActive</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>nextOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>lastOccurrenceAtUtc</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>generatedOccurrences</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>updatedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>updatedBy</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
